#
# spec file for package rubygem-pundit
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-pundit
Version:        2.4.0
Release:        1.4
%define mod_name pundit
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/varvet/pundit
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        OO authorization for Rails
License:        MIT

%description
Object oriented authorization for Rails applications.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- ## 2.4.0 (2024-08-26)
  [#]# Changed
- Improve the `NotAuthorizedError` message to include the policy class.
  Furthermore, in the case where the record passed is a class instead of an instance, the class name is given. (#812)
  [#]# Added
- Add customizable permit matcher description (#806)
- Add support for filter_run_when_matching :focus with permissions helper. (#820)
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.3.2, see bundled CHANGELOG.md
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- ## Unreleased
  Nothing.
  [#]# 2.3.1 (2023-07-17)
  [#]## Fixed
- Use `Kernel.warn` instead of `ActiveSupport::Deprecation.warn` for deprecations (#764)
- Policy generator now works on Ruby 3.2 (#754)
* Fri Jun 16 2023 Andrea Manzini <andrea.manzini@suse.com>
- updated to version 2.3.0
  * add support for rubocop-rspec syntax extensions
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.2.0
  see installed CHANGELOG.md
* Wed Aug 25 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.1.1
  Friday 13th-release!
  Careful! The bugfix below (#626) could break existing code. If you rely on the
  return value for `authorize` and namespaced policies you might need to do some
  changes.
  [#]## Fixed
  - `.authorize` and `#authorize` return the instance, even for namespaced
    policies (#626)
  [#]## Changed
  - Generate application scope with `protected` attr_readers. (#616)
  [#]## Removed
  - Dropped support for Ruby end-of-life versions: 2.1 and 2.2. (#604)
  - Dropped support for Ruby end-of-life versions: 2.3 (#633)
  - Dropped support for Ruby end-of-life versions: 2.4, 2.5 and JRuby 9.1 (#676)
  - Dropped support for RSpec 2 (#615)
* Thu Aug 15 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.1.0
  [#]## Fixed
  - Avoid name clashes with the Error class. (#590)
  [#]## Changed
  - Return a safer default NotAuthorizedError message. (#583)
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.1
  see installed CHANGELOG.md
  [#]# 2.0.1 (2019-01-18)
  [#]## Breaking changes
  None
  [#]## Other changes
  - Improve exception handling for `#policy_scope` and `#policy_scope!`. (#550)
  - Add `:policy` metadata to RSpec template. (#566)
* Sun Jul 22 2018 coolo@suse.com
- updated to version 2.0.0
  see installed CHANGELOG.md
  [#]# 2.0.0 (2018-07-21)
  No changes since beta1
  [#]# 2.0.0.beta1 (2018-07-04)
  - Add `policy_class` option to `authorize` to be able to override the policy. (#441)
  - Add `policy_scope_class` option to `authorize` to be able to override the policy scope. (#441)
  - Fix `param_key` issue when passed an array. (#529)
  - Only pass last element of "namespace array" to policy and scope. (#529)
  - Allow specification of a `NilClassPolicy`. (#525)
  - Make sure `policy_class` override is called when passed an array. (#475)
  - Raise `InvalidConstructorError` if a policy or policy scope with an invalid constructor is called. (#462)
  - Use `action_name` instead of `params[:action]`. (#419)
  - Add `pundit_params_for` method to make it easy to customize params fetching. (#502)
  - Return passed object from `#authorize` method to make chaining possible. (#385)
* Fri Jan 15 2016 coolo@suse.com
- updated to version 1.1.0
  see installed CHANGELOG.md
  [#]# 1.1.0 (2016-01-14)
  - Can retrieve policies via an array of symbols/objects.
  - Add autodetection of param key to `permitted_attributes` helper.
  - Hide some methods which should not be actions.
  - Permitted attributes should be expanded.
  - Generator uses `RSpec.describe` according to modern best practices.
* Thu May 28 2015 coolo@suse.com
- updated to version 1.0.1
  see installed CHANGELOG.md
  [#]# 1.0.1 (2015-05-27)
  - Fixed a regression where NotAuthorizedError could not be ininitialized with a string.
  - Use `camelize` instead of `classify` for symbol policies to prevent weird pluralizations.
* Mon Apr 20 2015 coolo@suse.com
- updated to version 1.0.0
* Wed Oct 15 2014 coolo@suse.com
- updated to version 0.3.0
  - Extend the default `ApplicationPolicy` with an `ApplicationPolicy::Scope` (#120)
  - Fix RSpec 3 deprecation warnings for built-in matchers (#162)
  - Generate blank policy spec/test files for Rspec/MiniTest/Test::Unit in Rails (#138)
  [#]# 0.2.3 (2014-04-06)
  - Customizable error messages: `#query`, `#record` and `#policy` methods on `Pundit::NotAuthorizedError` (#114)
  - Raise a different `Pundit::AuthorizationNotPerformedError` when `authorize` call is expected in controller action but missing (#109)
  - Update Rspec matchers for Rspec 3 (#124)
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Thu Jul 10 2014 coolo@suse.com
- initial package
